org.apache.log4j.util

## Class Compare

- java.lang.Object
- - org.apache.log4j.util.Compare

-     public class Compare
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Compare()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `compare(Class testClass, String file1, String file2)`
    `static boolean` | `compare(Class testClass, String file1, String file2, BufferedReader in1, BufferedReader in2)`
    `static boolean` | `gzCompare(Class testClass, String actual, String expected)`
    `static boolean` | `gzCompare(Class testClass, String file1, String file2, BufferedReader in1, BufferedReader in2)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Compare

          public Compare()

  - ### Method Detail

    - #### compare

          public static boolean compare(Class testClass,
                        String file1,
                        String file2)
                                 throws IOException

      Throws:
        `IOException`

    - #### compare

          public static boolean compare(Class testClass,
                        String file1,
                        String file2,
                        BufferedReader in1,
                        BufferedReader in2)
                                 throws IOException

      Throws:
        `IOException`

    - #### gzCompare

          public static boolean gzCompare(Class testClass,
                          String actual,
                          String expected)
                                   throws FileNotFoundException,
                                          IOException

      Throws:
        `FileNotFoundException`
        `IOException`

    - #### gzCompare

          public static boolean gzCompare(Class testClass,
                          String file1,
                          String file2,
                          BufferedReader in1,
                          BufferedReader in2)
                                   throws IOException

      Throws:
        `IOException`

Copyright © 2013 The Apache Software Foundation. Licensed under the Apache License, Version 2.0

Apache Extras for Apache log4j, Apache log4j and Apache are trademarks of the Apache Software Foundation.